# Struct ethcore_rpc::v1::tests::helpers::TestUpdater [−] [src]

    pub struct TestUpdater { /* fields omitted */ }

Test implementation of fetcher. Will always return the same file.

## Methods

### `impl TestUpdater`
[src]

#### `fn set_current_block(&self, n: usize)`

Update the (faked) current block.

#### `fn set_updated(&self, v: bool)`

Update the (faked) current block.

## Trait Implementations

### `impl Default for TestUpdater`
[src]

#### `fn default() -> TestUpdater`

Returns the "default value" for a type. Read more

### `impl UpdateService for TestUpdater`
[src]

#### `fn capability(&self) -> CapState`

Is the currently running client capable of supporting the current chain? We default to true if there's no clear information. Read more

#### `fn upgrade_ready(&self) -> Option<ReleaseInfo>`

The release which is ready to be upgraded to, if any. If this returns `Some`, then `execute_upgrade` may be called. Read more

#### `fn execute_upgrade(&self) -> bool`

Actually upgrades the client. Assumes that the binary has been downloaded. @returns `true` on success. Read more

#### `fn version_info(&self) -> VersionInfo`

Our version info.

#### `fn info(&self) -> Option<OperationsInfo>`

Information gathered concerning the release.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)